Ogre::D3D9VideoMode Class Reference

`#include <OgreD3D9VideoMode.h>`

List of all members.

## Public Member Functions

| D3D9VideoMode ()
| D3D9VideoMode (const D3D9VideoMode &ob)
| D3D9VideoMode (D3DDISPLAYMODE d3ddm)
| ~D3D9VideoMode ()
unsigned int | getWidth () const
unsigned int | getHeight () const
D3DFORMAT | getFormat () const
unsigned int | getRefreshRate () const
unsigned int | getColourDepth () const
D3DDISPLAYMODE | getDisplayMode () const
void | increaseRefreshRate (unsigned int rr)
String | getDescription () const

## Private Attributes

D3DDISPLAYMODE | mDisplayMode
unsigned int | modeNumber

## Detailed Description

Definition at line 38 of file OgreD3D9VideoMode.h.

## Constructor & Destructor Documentation

Ogre::D3D9VideoMode::D3D9VideoMode | ( |  | ) |

Definition at line 45 of file OgreD3D9VideoMode.h.

References Ogre::modeCount.

Ogre::D3D9VideoMode::D3D9VideoMode | ( | const D3D9VideoMode & | ob | ) |

Definition at line 46 of file OgreD3D9VideoMode.h.

References mDisplayMode, and Ogre::modeCount.

Ogre::D3D9VideoMode::D3D9VideoMode | ( | D3DDISPLAYMODE | d3ddm | ) |

Definition at line 47 of file OgreD3D9VideoMode.h.

References Ogre::modeCount.

Ogre::D3D9VideoMode::~D3D9VideoMode | ( |  | ) |

Definition at line 48 of file OgreD3D9VideoMode.h.

References Ogre::modeCount.

## Member Function Documentation

unsigned int Ogre::D3D9VideoMode::getColourDepth | ( |  | ) | const

String Ogre::D3D9VideoMode::getDescription | ( |  | ) | const

D3DDISPLAYMODE Ogre::D3D9VideoMode::getDisplayMode | ( |  | ) | const

Definition at line 58 of file OgreD3D9VideoMode.h.

D3DFORMAT Ogre::D3D9VideoMode::getFormat | ( |  | ) | const

Definition at line 55 of file OgreD3D9VideoMode.h.

unsigned int Ogre::D3D9VideoMode::getHeight | ( | void |  | ) | const

Definition at line 54 of file OgreD3D9VideoMode.h.

unsigned int Ogre::D3D9VideoMode::getRefreshRate | ( |  | ) | const

Definition at line 56 of file OgreD3D9VideoMode.h.

unsigned int Ogre::D3D9VideoMode::getWidth | ( | void |  | ) | const

Definition at line 53 of file OgreD3D9VideoMode.h.

void Ogre::D3D9VideoMode::increaseRefreshRate | ( | unsigned int | rr | ) |

Definition at line 59 of file OgreD3D9VideoMode.h.

## Member Data Documentation

D3DDISPLAYMODE Ogre::D3D9VideoMode::mDisplayMode`[private]`

Definition at line 41 of file OgreD3D9VideoMode.h.

Referenced by D3D9VideoMode().

unsigned int Ogre::D3D9VideoMode::modeNumber`[private]`

Definition at line 42 of file OgreD3D9VideoMode.h.

The documentation for this class was generated from the following file:

- OgreD3D9VideoMode.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:50